
module DiffRunner
	class Presenter
		attr_reader :pid

		def present(str)
			presenting = true
			if @pid
				Process.kill("QUIT", @pid) rescue nil
			end

			Thread.new do
				puts `clear`
				IO.popen("less", "w") do |io|
					io.puts str	
					@pid = io.pid
				end

				if !presenting
					puts `clear`
					exit(0)
				end
			end

			presenting = false
		end
	end
end


